<?php
interface Feedzy_Rss_Feeds_Pro_Services_Interface {

	/**
	 * Init the API
	 *
	 * @since   1.3.2
	 * @access  public
	 */
	public function init();

	/**
	 * Set the API options.
	 *
	 * @since   1.3.2
	 * @access  public
	 * @param   string $key The key to set.
	 * @param   string $value The value.
	 */
	public function set_api_option( $key, $value );

	/**
	 * Get the API option by key.
	 *
	 * @since   1.3.2
	 * @access  public
	 * @param   string $key The key to get.
	 * @return mixed
	 */
	public function get_api_option( $key );

	/**
	 * Invoke API.
	 *
	 * @since   1.3.2
	 * @access  public
	 * @param   array $args Options array to pass to API.
	 * @return mixed
	 */
	public function call_api( $args );

	/**
	 * Retrieve API errors.
	 *
	 * @since   1.3.2
	 * @access  public
	 * @return mixed
	 */
	public function get_api_errors();
}
